Skip to main content
GET
/
api
/
v1
/
arbitrage
Arbitrage Opportunities
curl --request GET \
  --url https://app.eventgraph.ai/api/v1/arbitrage \
  --header 'X-API-Key: <api-key>'
{
  "data": [
    {
      "id": "<string>",
      "title": "<string>",
      "platforms": [
        "<string>"
      ],
      "prices": {},
      "volumes": {},
      "best_buy_platform": "<string>",
      "best_buy_price": 123,
      "best_sell_platform": "<string>",
      "best_sell_price": 123,
      "spread_percent": 123,
      "confidence": "high",
      "match_score": 123,
      "feasibility_label": "good",
      "min_side_volume": 123
    }
  ],
  "timestamp": "2023-11-07T05:31:56Z",
  "meta": {
    "total": 123,
    "page": 123,
    "page_size": 123,
    "total_pages": 123,
    "response_ms": 123
  }
}

Authorizations

X-API-Key
string
header
required

Your EventGraph API key (eg_live_...)

Query Parameters

min_spread
number
default:1

Minimum spread in cents

Required range: x >= 0
min_match_score
number
default:0.55

Minimum title match score (0.0 to 1.0)

Required range: 0 <= x <= 1
limit
integer
default:50
Required range: 1 <= x <= 200

Response

Arbitrage opportunities

data
object[]
timestamp
string<date-time>
meta
object